%global __provides_exclude_from ^%{_libdir}/fcitx5/.*\\.so$

Name:       fcitx5-libthai
Version:    5.0.0
Release:    1%{?dist}
Summary:    Chewing Wrapper for Fcitx
License:    GPLv2+
URL:        https://github.com/fcitx/fcitx5-libthai
Source:     https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.xz
Source1:    https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.xz.sig
Source2:    https://pgp.key-server.io/download/0x8E8B898CBF2412F9

BuildRequires:  gnupg2
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  cmake(Fcitx5Core)
BuildRequires:  pkgconfig(libthai)
BuildRequires:  gettext
Requires:       hicolor-icon-theme
Requires:       fcitx5-data

%description

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license LICENSES/GPL-2.0-or-later.txt
%doc README.md 
%{_libdir}/fcitx5/libthai.so
%{_datadir}/fcitx5/addon/libthai.conf
%{_datadir}/fcitx5/inputmethod/libthai.conf
%{_metainfodir}/org.fcitx.fcitx5-libthai.metainfo.xml


%changelog
